# Class EdgeShape

java.lang.Object
com.codename1.gaming.physics.box2d.collision.shapes.Shape
com.codename1.gaming.physics.box2d.collision.shapes.EdgeShape

public class EdgeShape extends Shape

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `m_hasVertex0`
  `boolean`
  `m_hasVertex3`
  `final Vec2`
  `m_vertex0`
  `final Vec2`
  `m_vertex1`
  `final Vec2`
  `m_vertex2`
  `final Vec2`
  `m_vertex3`

  ### Fields inherited from class Shape

  `m_radius, m_type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdgeShape()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shape`
  `clone()`
  `void`
  `computeAABB(AABB aabb, Transform xf, int childIndex)`
  `void`
  `computeMass(MassData massData, float density)`
  `int`
  `getChildCount()`
  `boolean`
  `raycast(RayCastOutput output, RayCastInput input, Transform xf, int childIndex)`
  `void`
  `set(Vec2 v1, Vec2 v2)`
  `boolean`
  `testPoint(Transform xf, Vec2 p)`

  ### Methods inherited from class Shape

  `getRadius, getType, setRadius`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### m_vertex1

    public final Vec2 m_vertex1

  - ### m_vertex2

    public final Vec2 m_vertex2

  - ### m_vertex0

    public final Vec2 m_vertex0

  - ### m_vertex3

    public final Vec2 m_vertex3

  - ### m_hasVertex0

    public boolean m_hasVertex0

  - ### m_hasVertex3

    public boolean m_hasVertex3

- ## Constructor Details

  - ### EdgeShape

    public EdgeShape()

- ## Method Details

  - ### getChildCount

    public int getChildCount()
    Specified by:
      `getChildCount` in class `Shape`

  - ### set

    public void set(Vec2 v1, Vec2 v2)

  - ### testPoint

    public boolean testPoint(Transform xf, Vec2 p)
    Specified by:
      `testPoint` in class `Shape`

  - ### raycast

    public boolean raycast(RayCastOutput output, RayCastInput input, Transform xf, int childIndex)
    Specified by:
      `raycast` in class `Shape`

  - ### computeAABB

    public void computeAABB(AABB aabb, Transform xf, int childIndex)
    Specified by:
      `computeAABB` in class `Shape`

  - ### computeMass

    public void computeMass(MassData massData, float density)
    Specified by:
      `computeMass` in class `Shape`

  - ### clone

    public Shape clone()
    Specified by:
      `clone` in class `Shape`